# Class Pi.RamanujanBinarySplittingSeries

java.lang.Object
org.apfloat.samples.Pi.AbstractBinarySplittingSeries
org.apfloat.samples.Pi.RamanujanBinarySplittingSeries

All Implemented Interfaces:
  `Serializable, Pi.BinarySplittingSeries`

Enclosing class:
  `Pi`

protected static class Pi.RamanujanBinarySplittingSeries extends Pi.AbstractBinarySplittingSeries
Ramanujan's algorithm terms for the binary splitting series.

Version:
  1.14.0
Author:
  Mikko Tommila
See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class Pi.AbstractBinarySplittingSeries

  `precision, radix`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RamanujanBinarySplittingSeries(long precision, int radix)`
  Basic constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Apfloat`
  `a(long n)`
  Binary splitting term.
  `Apfloat`
  `p(long n)`
  Binary splitting term.
  `Apfloat`
  `q(long n)`
  Binary splitting term.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### RamanujanBinarySplittingSeries

    public RamanujanBinarySplittingSeries(long precision, int radix)
    Basic constructor.
    Parameters:
      `precision` - The precision.
      `radix` - The radix.

- ## Method Details

  - ### a

    public Apfloat a(long n) throws ApfloatRuntimeException
    Description copied from interface: `Pi.BinarySplittingSeries`
    Binary splitting term.
    Parameters:
      `n` - The term.
    Returns:
      The value.
    Throws:
      `ApfloatRuntimeException`

  - ### p

    public Apfloat p(long n) throws ApfloatRuntimeException
    Description copied from interface: `Pi.BinarySplittingSeries`
    Binary splitting term.
    Parameters:
      `n` - The term.
    Returns:
      The value.
    Throws:
      `ApfloatRuntimeException`

  - ### q

    public Apfloat q(long n) throws ApfloatRuntimeException
    Description copied from interface: `Pi.BinarySplittingSeries`
    Binary splitting term.
    Parameters:
      `n` - The term.
    Returns:
      The value.
    Throws:
      `ApfloatRuntimeException`